import request from '@/utils/request'

// 查询商品信息采集记录列表
export function listFsStoreProductUserRecord(query) {
  return request({
    url: '/store/store/storeProductUserRecord/list',
    method: 'get',
    params: query
  })
}

// 查询商品信息采集记录详细
export function getFsStoreProductUserRecord(id) {
  return request({
    url: '/store/store/storeProductUserRecord/' + id,
    method: 'get'
  })
}

// 新增商品信息采集记录
export function addFsStoreProductUserRecord(data) {
  return request({
    url: '/store/store/storeProductUserRecord',
    method: 'post',
    data: data
  })
}

// 修改商品信息采集记录
export function updateFsStoreProductUserRecord(data) {
  return request({
    url: '/store/store/storeProductUserRecord',
    method: 'put',
    data: data
  })
}

// 删除商品信息采集记录
export function delFsStoreProductUserRecord(id) {
  return request({
    url: '/store/store/storeProductUserRecord/' + id,
    method: 'delete'
  })
}

// 导出商品信息采集记录
export function exportFsStoreProductUserRecord(query) {
  return request({
    url: '/store/store/storeProductUserRecord/export',
    method: 'get',
    params: query
  })
}
